Bug 192766 - adding users to specific group
adding users to specific group
Product: Fedora Infrastructure
Classification: Retired
Component: Account System (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 2006-05-22 16:11 EDT by Diaa Radwan
Modified: 2008-03-17 13:58 EDT (History)
0 users

See Also:
Fixed In Version: FAS2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-17 13:58:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Diaa Radwan 2006-05-22 16:11:48 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:
I adding your name on a group such ambassadors,then you will have info says "
please make sure that your mail@xxx.ccc is used for your gpg-key and for bugzilla.
then after creating bugzilla account ,and back to same procedures you will the
log attached to this defect

Steps to Reproduce:
1.add your name on a group such ambassadors,then you will have info says "
please make sure that your mail@xxx.ccc is used for your gpg-key and for bugzilla.
2.create bugzilla account
3.add your name on group name again.
4.then click on add

Actual results:
AttributeError	Python 2.3.4: /usr/bin/python2
Mon May 22 13:06:17 2006

A problem occurred in a Python script. Here is the sequence of function calls
leading up to the error, in the order they occurred.

  305     if username and action=='edit':
  306         website.handle_group_mods(dbh, form, 'userbox.cgi', username,
  307                                   None, fixed_item='username',
  309 website.print_footer("Fedora User")
builtin None = None, fixed_item undefined, auth_username = 'diaa'

 /var/www/html/admin/accounts/website.py in
handle_group_mods(dbh=<website.PostgresDBConnection instance>,
form=FieldStorage(None, None, [MiniFieldStorage('user..., '0'),
MiniFieldStorage('_role_show_all', '1')]), url='userbox.cgi', username='diaa',
groupname=None, fixed_item='username', auth_username='diaa')
  403       role_group = form['groupname'].value
  404       role_user = form['username'].value
  405       allowed_actions = get_allowed_group_actions(dbh, auth_username,
role_group, group_info=group_info, for_username=role_user)
  406       if role_user == auth_username:
  407             permitted = 'add_self' in allowed_actions
allowed_actions undefined, global get_allowed_group_actions = <function
get_allowed_group_actions>, dbh = <website.PostgresDBConnection instance>,
auth_username = 'diaa', role_group = 'Ambassadors', group_info = {},
for_username undefined, role_user = 'diaa'

 /var/www/html/admin/accounts/website.py in
get_allowed_group_actions(dbh=<website.PostgresDBConnection instance>,
auth_username='diaa', groupname='Ambassadors', group_info={}, for_username='diaa')
  370         my_group_info = group_info
  371     ginfo = get_group_info(dbh, groupname)
  372     my_group_info.update(ginfo)
  373     if my_group_info['name'] == 'cla_done':
  374         return []
my_group_info = {}, my_group_info.update = <built-in method update of dict
object>, ginfo = None

AttributeError: keys
      args = ('keys',) 

Expected results:
getting update message

Additional info:
Comment 1 Patrick Barnes 2006-05-23 11:09:17 EDT
This description is ambiguous.  It is not clear what behavior is causing the 
traceback.  Part of this is clearly a misunderstanding of how the system 

I'm changing this to NEEDINFO from Reporter.  This issue will be difficult to 
address with clarification.
Comment 2 Ricky Zhou 2008-03-17 13:58:44 EDT
This problem should no longer exist in FAS2.

Note You need to log in before you can comment on or make changes to this bug.